# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

### [0.2.2](https://transfer.hft-stuttgart.de/gitlab/9Lukas5/unified-ticketing/-/compare/0.2.1...0.2.2) (2021-01-03)


### Bug Fixes

* **systems/github:** Filter: set query parameter, instead of adding it mulitple times ([1af89d4](https://transfer.hft-stuttgart.de/gitlab/9Lukas5/unified-ticketing/-/commit/1af89d409a52012524dcb6eeb5579256bff62b48))

### [0.2.1](https://transfer.hft-stuttgart.de/gitlab/9Lukas5/unified-ticketing/-/compare/0.2.0...0.2.1) (2021-01-02)


### Bug Fixes

* **systems/github:** Filter: add missing post filter for ticket ID filtering ([9654ae5](https://transfer.hft-stuttgart.de/gitlab/9Lukas5/unified-ticketing/-/commit/9654ae513a9f98686aa68014d192255943369d99))
* **systems/github:** Filter: get open and closed issues if no according filter was set ([4f84589](https://transfer.hft-stuttgart.de/gitlab/9Lukas5/unified-ticketing/-/commit/4f845899f098518e49eb6047313d446b692ddf38))

## [0.2.0](https://transfer.hft-stuttgart.de/gitlab/9Lukas5/unified-ticketing/-/compare/0.1.1...0.2.0) (2020-12-21)


### Features

* **core/filter:** add field and getter for last received item count ([468262f](https://transfer.hft-stuttgart.de/gitlab/9Lukas5/unified-ticketing/-/commit/468262f0d033572d0bcff8ddb82b46941fb14751))
* **systems:** add implementation for GitHub ([25207b2](https://transfer.hft-stuttgart.de/gitlab/9Lukas5/unified-ticketing/-/commit/25207b2458c14cc4ff7863c9b251b66d6b708967))

### [0.1.1](https://transfer.hft-stuttgart.de/gitlab/9Lukas5/unified-ticketing/-/compare/0.1.0...0.1.1) (2020-12-10)


### Features

* enable mvn javadoc plugin ([c2ca81e](https://transfer.hft-stuttgart.de/gitlab/9Lukas5/unified-ticketing/-/commit/c2ca81e80da49e37a561bad115b06a62bc5f7e91))

## [0.1.0](https://transfer.hft-stuttgart.de/gitlab/9Lukas5/unified-ticketing/-/compare/0.0.0...0.1.0) (2020-11-23)


### Features

* add ci pipeline ([d6d6f3a](https://transfer.hft-stuttgart.de/gitlab/9Lukas5/unified-ticketing/-/commit/d6d6f3aaa7b09404cef03bb319508087e33f4982))
* add GPLv3 License text ([6016122](https://transfer.hft-stuttgart.de/gitlab/9Lukas5/unified-ticketing/-/commit/6016122eb4c9e92e1befd1243b85c6ac509502b8))
* **ci:** add maven settings file for gitlab artifactory ([aacd6b4](https://transfer.hft-stuttgart.de/gitlab/9Lukas5/unified-ticketing/-/commit/aacd6b494c3f49a5e6b325232b6532494e1e8bfa))
* **ci:** add repo and dist management parts to pom ([ab131be](https://transfer.hft-stuttgart.de/gitlab/9Lukas5/unified-ticketing/-/commit/ab131beb5d3838327e7e1e5aca19c6120d58708c))
* import first state of library code ([b841acd](https://transfer.hft-stuttgart.de/gitlab/9Lukas5/unified-ticketing/-/commit/b841acdde74a5e2969bac34db8a3051001ce860e))


### Bug Fixes

* **logger:** set correct package for mainlogger after 19162378 ([04ae3ee](https://transfer.hft-stuttgart.de/gitlab/9Lukas5/unified-ticketing/-/commit/04ae3ee468a84e5729dcce9dfab02c6322e15ec1))
* **systems/gitlab:** allow gitlab root at subpath on non-standard port ([baba48d](https://transfer.hft-stuttgart.de/gitlab/9Lukas5/unified-ticketing/-/commit/baba48d5e0b70b2c91c3232ecbc9187c504d043c))
