package de.hftstuttgart.unifiedticketing.exceptions;

public class HttpResponseException extends UnifiedticketingException
{
    public final int status;

    public HttpResponseException(int status)
    {
        super();
        this.status = status;
    }

    public HttpResponseException(String msg, int status)
    {
        super(msg);
        this.status = status;
    }

    public HttpResponseException(String msg, Throwable cause, int status)
    {
        super(msg, cause);
        this.status = status;
    }

    public HttpResponseException(Throwable suppressed, int status)
    {
        super(suppressed);
        this.status = status;
    }
}
